Browse the help center

Create zone IP range targeting

Creates an IP range targeting rule for the specified zone.

Reference
POST https://YOUR-NETWORK-DOMAIN/rest-api/zone/{zoneId}/targeting/ip-range/create.do

Creates an IP range targeting rule for the specified zone. Both IPv4 and IPv6 addresses are supported. Requires UPDATE permission on the zone and MANAGE_SUPPLY_PRE_TARGETING user permission.

Path Params

zoneId integer required

Unique numeric ID of the zone

200

Form Params

rule string required

Targeting rule type — INCLUDE for whitelist or EXCLUDE for blacklist

INCLUDE

ipFrom string required

Start of the IP range in dotted-decimal (IPv4) or colon-hex (IPv6) notation

192.168.1.0

ipTo string required

End of the IP range in dotted-decimal (IPv4) or colon-hex (IPv6) notation

192.168.1.255

Responses

200

Success

400

Invalid IP range or ipFrom exceeds ipTo

401

Unauthorized

403

Forbidden

404

Zone not found

500

Internal server error

Please disable Adblock
Are you using adblock? Disable it and reload the page to proceed to the destination page.

A registration has already been submitted from this page. Please try again in 10 minutes.